npm installs dependency twice at different versions

What I Wanted to Do

Install latest appium package

What Happened Instead

npm tries installed the dependency appium-chromedriver at an older version 4.11.0, as well as latest version 4.13.0
(on one device, 4.11.0 fails to install, so I need npm to only install latest 4.13.0)

Reproduction Steps

npm install appium

Details

Reproduced with npm 6.10.2 and 6.10.3 on different devices.
On one device where installation is successful, I can see npm installs two versions of appium-chromedriver
Logs available in gist: https://gist.github.com/Volune/93da92fb76706655a98c31c65817883f

Not reproduced with yarn

Platform Info

Device 1 (WSL):

{ npm: '6.10.2',
  ares: '1.15.0',
  cldr: '33.1',
  http_parser: '2.8.0',
  icu: '62.1',
  modules: '64',
  napi: '3',
  nghttp2: '1.34.0',
  node: '10.15.3',
  openssl: '1.1.0j',
  tz: '2018e',
  unicode: '11.0',
  uv: '1.23.2',
  v8: '6.8.275.32-node.51',
  zlib: '1.2.11' }
linux

Device 2 (OSX):

npm 6.10.3
darwin

Found the issue in appium
https://cdn.jsdelivr.net/npm/appium@1.14.1/npm-shrinkwrap.json